## RepeatRule

Description

This class is an implementation of RRULE parsing and expansion, as per RFC5545. It should be reasonably complete, except that it does not handle changing the WKST - there may be a few errors in unusual rules also, but all of the common cases should be handled correctly.

- author: Andrew McMillan <andrew@mcmillan.net.nz>

Located in /inc/RRule-v2.php (line 590)

Method Summary
static void date_mask ( $date, $y, $mo, $d, $h, $mi, $s)
static void rrule_day_number ( $day)
RepeatRule __construct ( $basedate, $rrule, [ $is_date = null], [ $return_floating_times = false])
void current ([ $return_floating_times = false])
boolean hasLimitedOccurrences ()
void key ([ $return_floating_times = false])
vComponent next ([boolean $return_floating_times = false])
void rewind ()
void set_timezone ( $tzstring)
void Start ([ $return_floating_times = false])
void valid ()
Methods
static date_mask (line 827)

- access: public

void date_mask ( $date, $y, $mo, $d, $h, $mi, $s)

- $date
- $y
- $mo
- $d
- $h
- $mi
- $s

static rrule_day_number (line 813)

- access: public

void rrule_day_number ( $day)

- $day

Constructor __construct (line 615)

- access: public

RepeatRule __construct ( $basedate, $rrule, [ $is_date = null], [ $return_floating_times = false])

- $basedate
- $rrule
- $is_date
- $return_floating_times

current (line 702)

- access: public

void current ([ $return_floating_times = false])

- $return_floating_times

hasLimitedOccurrences (line 668)

If this repeat rule has an UNTIL= or COUNT= then we can know it will end. Eventually.

- return: Whether or not one of these properties is present.
- access: public

boolean hasLimitedOccurrences ()
key (line 712)

- access: public

void key ([ $return_floating_times = false])

- $return_floating_times

next (line 696)

Return the next date in the repeating series.

- return: The next instance.
- access: public

vComponent next ([boolean $return_floating_times = false])

- boolean $return_floating_times: Whether to return dates as floating times.

rewind (line 686)

- access: public

void rewind ()
set_timezone (line 673)

- access: public

void set_timezone ( $tzstring)

- $tzstring

Start (line 678)

- access: public

void Start ([ $return_floating_times = false])

- $return_floating_times

valid (line 722)

- access: public

void valid ()

Documentation generated on Wed, 04 Jul 2012 10:13:09 +0000 by phpDocumentor 1.4.3